### Method

# GimpUi StringComboBox set_active

#### Declaration [src]

    gboolean
    gimp_string_combo_box_set_active (
      GimpStringComboBox* combo_box,
      const gchar* id
    )

#### Description [src]

Looks up the item that belongs to the given `id` and makes it the selected item in the `combo_box`.

Available since: | 2.4

#### Parameters

`id` | `const gchar*`
| The ID of the item to select.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| `TRUE` on success or `FALSE` if there was no item for this value.